[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Trying to build debian-installer on amd64.

> I'm trying to get d-i to build an amd64.  But it seems unable to
> install the packages.  When I try to make it I get:
> Need to download : countrychooser iso-3166-udeb load-cdrom
> cdrom-retriever hw-detect-full cdrom-detect
> Reading Package Lists... Done
> Building Dependency Tree... Done
> iso-3166-udeb is already the newest version.
> Some packages could not be installed. This may mean that you have
> requested an impossible situation or if you are using the
> unstable
> distribution that some required packages have not yet been
> created
> or been moved out of Incoming.
> The following information may help to resolve the situation:
> The following packages have unmet dependencies:
>   cdrom-detect: Depends: hw-detect but it is not going to be installed
>   hw-detect-full: Depends: hw-detect but it is not going to be installed
>   load-cdrom: Depends: anna but it is not going to be installed
> E: Broken packages
> But I do have all the mentioned udebs in my local package dir
> which I've put in sources.list.udeb.local.

I think this is because apt fails to resolve udeb dependences.
I tried to raise this issue recently - see

Unfortunately seems this is not considered as d-i bug by beople who answered
me that time.

Reply to: